/*
+-------------------------------- DISCLAIMER ---------------------------------+
|                                                                             |
| This application program is provided to you free of charge as an example.   |
| Despite the considerable efforts of Euresys personnel to create a usable    |
| example, you should not assume that this program is error-free or suitable  |
| for any purpose whatsoever.                                                 |
|                                                                             |
| EURESYS does not give any representation, warranty or undertaking that this |
| program is free of any defect or error or suitable for any purpose. EURESYS |
| shall not be liable, in contract, in torts or otherwise, for any damages,   |
| loss, costs, expenses or other claims for compensation, including those     |
| asserted by third parties, arising out of or in connection with the use of  |
| this program.                                                               |
|                                                                             |
+-----------------------------------------------------------------------------+
*/

//
//  FirstExpert Project
//
//  FirstExpertCanvas class definition
//  File: FirstExpertCanvas.cpp
//////////////////////////////////////////////////////////////////////////////////

// Application Header
//////////////////////////////////////////////////////////////////////////////////
#include "FirstExpert.h"

// Event Table
//////////////////////////////////////////////////////////////////////////////////
BEGIN_EVENT_TABLE(FirstExpertCanvas, wxScrolledWindow)

END_EVENT_TABLE()

// Constructors 
//////////////////////////////////////////////////////////////////////////////////
FirstExpertCanvas::FirstExpertCanvas(wxWindow *parent,wxView* v,const wxPoint& pos, const wxSize& size)
    : wxScrolledWindow(parent, -1, pos, size,
        wxSUNKEN_BORDER |wxVSCROLL | wxHSCROLL |wxNO_FULL_REPAINT_ON_RESIZE)
{
    // Set a white background
    SetBackgroundColour(wxColour(_T("WHITE")));
    m_pView=(FirstExpertView*)v;
}

FirstExpertCanvas::~FirstExpertCanvas()
{
    // The View deletes the ChildFrame, which deletes the Canvas
    m_pView=(FirstExpertView*)NULL;
}

// Event Handlers 
//////////////////////////////////////////////////////////////////////////////////
void FirstExpertCanvas::OnDraw(wxDC& dc)
{
    if (m_pView)
        m_pView->OnDraw(&dc);
}

// Methods 
//////////////////////////////////////////////////////////////////////////////////
void FirstExpertCanvas::InitScrollbars(int width,int height)
{
    SetVirtualSize(width,height);
    SetScrollRate(1,1);
}
